Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.portal
Class Constants

    java.lang.Object
      org.jboss.portal.portlet.portal.Constants

    public final class Constants

extends java.lang.Object

Version:
  $Revision: 630 $
Author:
  Julien Viet

Field Summary
`static java.lang.String` | `ERROR_APPLICATION_NAME` .
`static java.lang.String` | `ERROR_CAUSE` .
`static java.lang.String` | `ERROR_MESSAGE` .
`static java.lang.String` | `ERROR_PORTLET_NAME` .
`static java.lang.String` | `ERROR_STATUS` .
`static java.lang.String` | `ERROR_WINDOW_ID` .
`static java.lang.String` | `INTERNAL_ERROR` .
`static java.lang.String` | `NOT_FOUND` .
`static java.lang.String` | `PORTLET_ERROR` .
`static java.lang.String` | `UNAVAILABLE` .

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ERROR_STATUS

    public static final java.lang.String ERROR_STATUS

  .

  See Also:
    Constant Field Values

### ERROR_CAUSE

    public static final java.lang.String ERROR_CAUSE

  .

  See Also:
    Constant Field Values

### ERROR_MESSAGE

    public static final java.lang.String ERROR_MESSAGE

  .

  See Also:
    Constant Field Values

### ERROR_PORTLET_NAME

    public static final java.lang.String ERROR_PORTLET_NAME

  .

  See Also:
    Constant Field Values

### ERROR_APPLICATION_NAME

    public static final java.lang.String ERROR_APPLICATION_NAME

  .

  See Also:
    Constant Field Values

### ERROR_WINDOW_ID

    public static final java.lang.String ERROR_WINDOW_ID

  .

  See Also:
    Constant Field Values

### NOT_FOUND

    public static final java.lang.String NOT_FOUND

  .

  See Also:
    Constant Field Values

### PORTLET_ERROR

    public static final java.lang.String PORTLET_ERROR

  .

  See Also:
    Constant Field Values

### INTERNAL_ERROR

    public static final java.lang.String INTERNAL_ERROR

  .

  See Also:
    Constant Field Values

### UNAVAILABLE

    public static final java.lang.String UNAVAILABLE

  .

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.